## org.apache.lucene.queryParser.standard.config
Interface RangeCollatorAttribute

All Superinterfaces:
  org.apache.lucene.util.Attribute

All Known Implementing Classes:
  RangeCollatorAttributeImpl

    public interface RangeCollatorAttribute

extends org.apache.lucene.util.Attribute

This attribute is used by `ParametricRangeQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which `Collator` should be used for a `TermRangeQuery`

Method Summary
`java.text.Collator` `getRangeCollator()`
`void` `setDateResolution(java.text.Collator rangeCollator)`

Method Detail

### setDateResolution

    void setDateResolution(java.text.Collator rangeCollator)

### getRangeCollator

    java.text.Collator getRangeCollator()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.